/***

  Ghost class

***/

#ifndef _GHOST_H_
#define _GHOST_H_

#include "DisplayInterface.h"
#include "Globals.h"
#include "World.h"
#include "Object.h"
#include "Mobile.h"

class Ghost : public Mobile {
public:

	// constructor
	Ghost( DisplayInterface &d, int x, int y, int _actingspeed, Direction _direction );

	// returns user identity
	virtual int identify( );

	// takes a turn to act in the world
	virtual bool act( DisplayInterface &d, World *w, int x, int y, int time );

	// disappears from the world
	virtual void die( DisplayInterface &d, World *w, int x, int y );

	// shows the object at its spot in the world
	virtual void show( DisplayInterface &d, World *w, int x, int y );

};

#endif
